QGIS Application - Bug report #9644
WMS and CRS - No reprojection
2014-02-24 07:31 PM - Lene Fischer

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.2.0 Regression?: No

Operating System: Windows7 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18216
Description

When | set a CRS to 25832 and open a vectorfile in 4326 - it is not reprojected.

If | open a WMS and choose 25832 - as set in Settings>Options>CRS

it is twisted as in 4326.

Then | close both layers.

Start to open first WMS with EPSG:25832 - Also trying to click on ‘Change’ to be sure - But the map remain twisted in EPSG:4326.
| have to restart the program to get the projection right.

The WMS also have become very slow -

Regards
Lene Fischer

Associated revisions

Revision 3b4edb8f - 2014-03-02 07:26 PM - Juirgen Fischer
automatic otfr:
- notify on message bar when CRS and OTFR kicks in (refs #9644)

- don't automatically change settings of loaded projects

History

#1 - 2014-02-27 11:03 AM - Giovanni Manghi

- Target version changed from Version 2.2 to Version 2.4

- Status changed from Open to Feedback

- Priority changed from High to Normal

Hi,

I'm sorry but the description is not clear to me and I'm unable to try replicate the issue.

Can you add clear steps and eventually (better) a project that included all the necessary data? thanks

#2 - 2014-02-27 09:43 PM - Lene Fischer
- File mdc_sample_table-shp__1_.zip added
Hi Giovanni,
Please see the attached video. http://screencast.com/t/YTUIIDTI9bcz

Also attach the vectorlayer
WMS :
http://kortforsyningen.kms.dk/?servicename=topo_skaermkort&#38;client=QGIS&#38;version=1.1.1&#38;login=Lene_Fischer&#38;password=blomst

The same error was in 2.0 - but not in the weekly since last summer.

Regards
Lene

#3 - 2014-02-28 06:10 AM - Giovanni Manghi
- Resolution set to invalid

- File 24.png added

- Status changed from Feedback to Closed

Lene Fischer wrote:

Hi Giovanni,
Please see the attached video. http.//screencast.com/t/YTUIIDTI9bcz

Also attach the vectorlayer
WMS :
http://kortforsyningen.kms.dk/?servicename=topo_skaermkort&#38;client=QGIS&#38;version=1.1.1&#38;login=Lene_Fischer&#38;password=blo

st

The same error was in 2.0 - but not in the weekly since last summer.

Regards
Lene

Hi,

it is not a bug, it all depends on how you have configured qgis in

settings -> crs -> default crs for new projects

in your case it should be as is in the attached image. This means that you say to qgis to create a new project in WGS84 and then automatically reproject
any layer in this CRS.

If you want the first layer give its CRS to the project then choose the second option.

#4 - 2014-02-28 07:53 AM - Lene Fischer
- Status changed from Closed to Reopened

Hi iovanni,
I've set the settings to be 25832 (UTM 32) - Start New projects in UTM 32
I’ve set on the fly to set CRS to UTM 32 - but it keep staying in WGS84.
http://screencast.com/t/YTUllDTl9bcz
http://kortforsyningen.kms.dk/?servicename=topo_skaermkort&#38;client=QGIS&#38;version=1.1.1&#38;login=Lene_Fischer&#38;password=blomst
http://screencast.com/t/YTUllDTl9bcz
http://kortforsyningen.kms.dk/?servicename=topo_skaermkort&#38;client=QGIS&#38;version=1.1.1&#38;login=Lene_Fischer&#38;password=blomst
http://kortforsyningen.kms.dk/?servicename=topo_skaermkort&#38;client=QGIS&#38;version=1.1.1&#38;login=Lene_Fischer&#38;password=blomst

Regards
Lene

#5 - 2014-02-28 08:19 AM - Giovanni Manghi

- Status changed from Reopened to Closed

Lene Fischer wrote:

Hi iovanni,

I've set the settings to be 25832 (UTM 32) - Start New projects in UTM 32

I've set on the fly to set CRS to UTM 32 - but it keep staying in WGS84.

Hi Lene,

at 00:42 of your screencast you can see clearly that when you create a new project, the project CRS is 4326 and the OTFR in ON. Have a look to the right

bottom corner of the main QGIS window, it says 4326 and the text is black (means OTFR is on).

cheers!

#6 - 2014-02-28 08:26 AM - Lene Fischer

Exatly this is my problem. | set the CRS to UTM 32 in settings | set the On the fly to UTM 32 and the it changes to WGS84.

| am not able to get the projection to UTM 32 - Only to close the porgram and open the WMS first and the open the vectorlayer.

Regards

Lene

#7 - 2014-02-28 10:52 AM - Giovanni Manghi

Lene Fischer wrote:

Exatly this is my problem. | set the CRS to UTM 32 in settings | set the On the fly to UTM 32 and the it changes to WGS84.
I am not able to get the projection to UTM 32 - Only to close the porgram and open the WMS first and the open the vectorlayer.

Regards

Lene

In the video at 00:42 is not clear what you do: do you click "new project" or use the ctrl-n shortcut? or do you simply remove the layers from the project?

#8 - 2014-02-28 11:18 PM - Lene Fischer

I click "new project”

#9 - 2014-03-01 03:26 AM - Giovanni Manghi

2024-04-10 3/5



Lene Fischer wrote:

I click "new project”

just tested again (under Windows) and no problems.

Check again your

settings -> crs -> default crs for new projects

to be sure that is set to "enable reprojection by default" and the CRS is 25832

If it still fails try removing the .qgis2 folder, and see if removing all configs/plugins it works.

#10 - 2014-03-02 01:11 AM - Lene Fischer

- Status changed from Closed to Reopened

- Target version changed from Version 2.4 to Version 2.2

Please take this seriously! What am | doing wrong?
Default CRS for new projects:
| have a new project - CRS set to UMT32 EPSG 25832.

Settings "Automatic enable on the fly projections if layers has different CRS" set to EPSG 25832.

When | open a vectorfile i EPSG 4326 the project is changed to this projection - My setting is overruled.

When | open a WMS - in EPSG 25832 - then this is reprojected to EPSG 4326.

Regards

Lene

#11 - 2014-03-02 01:22 AM - Giovanni Manghi

Lene Fischer wrote:

Please take this seriously! What am | doing wrong?

I'm taking it very seriously, sorry if you feel that I'm not, that wasn't my intention.

Default CRS for new projects:
I have a new project - CRS set to UMT32 EPSG 25832.

Settings "Automatic enable on the fly projections if layers has different CRS" set to EPSG 25832.

the option

"Automatic enable on the fly projections if layers has different CRS"

does not work as you are expecting.
If you have this option selected and you add a layer in a empty project, then the project is given the CRS of the layer.

To get what you expect you must select

"enable OTRF by default"

When | open a vectorfile i EPSG 4326 the project is changed to this projection - My setting is overruled.

see above

When | open a WMS - in EPSG 25832 - then this is reprojected to EPSG 4326.

yes, because meanwhile the project has changed CRS to wgs84 (the CRS of the vector) and OTFR was enabled. So when you add a new layer this is

reprojected in project CRS (but its CRS is still the one you selected, 25832).

Make sense now?

#12 - 2014-03-02 01:24 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

#13 - 2014-03-02 11:19 AM - Giovanni Manghi

When | open a vectorfile i EPSG 4326 the project is changed to this projection - My setting is overruled.

When | open a WMS - in EPSG 25832 - then this is reprojected to EPSG 4326.

fyi commit:3b4edb8fa8b14c3fb2f37a825¢5771b76b60b6f3

#14 - 2014-06-21 03:17 AM - Jiirgen Fischer
- Status changed from Feedback to Closed

- Resolution changed from invalid to fixed/implemented

closing for the lack of feedback - probably solved.

Files
mdc_sample_table-shp__1_.zip 1.44 KB 2014-02-27 Lene Fischer
24.png 293 KB 2014-02-28 Giovanni Manghi
